Page MenuHomePhabricator

[Bug] Dates are always English when using {{#property:...}} parser function
Closed, ResolvedPublic

Description

At nowiki the parser function now returns English date formats.

At the test page (this is the birth date for Jim Hall) the date is written as "4 December 1930". It was previously "4. des. 1930", but the correct format according to the styleguide on nowiki is "4. desember 1930".

It could perhaps be the old problem with the macrocode "no" vs the actuel language code "nb".

Event Timeline

jeblad created this task.Oct 24 2015, 11:14 PM
jeblad raised the priority of this task from to Needs Triage.
jeblad updated the task description. (Show Details)
jeblad added a subscriber: jeblad.
Restricted Application added a project: Wikidata. · View Herald TranscriptOct 24 2015, 11:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Note also the related, but not similar T104977.

Krenair renamed this task from Dates are in Englis formats at nowiki when using property parser function to Dates are in English formats at nowiki when using property parser function.Oct 24 2015, 11:23 PM
Krenair set Security to None.
thiemowmde renamed this task from Dates are in English formats at nowiki when using property parser function to [Bug] Dates are in English formats at nowiki when using property parser function.Nov 2 2015, 12:57 PM
thiemowmde triaged this task as Normal priority.

This problem also occurs on lawiki.

I used git bisect to find that this bug was introduced in https://gerrit.wikimedia.org/r/243640 and affects all non-English languages. More specifically, the formatter's lang option was set to a hard coded "en" in https://gerrit.wikimedia.org/r/#/c/243640/4/lib/includes/formatters/OutputFormatSnakFormatterFactory.php for an unknown reason. This suppresses a later default, set in OutputFormatValueFormatterFactory::applyLanguageDefaults. I can remove this default with no test failing.

Patches for review:

thiemowmde renamed this task from [Bug] Dates are in English formats at nowiki when using property parser function to [Bug] Dates are always English when using {{#property:...}} parser function.Nov 4 2015, 11:06 AM
thiemowmde added a subscriber: daniel.
JanZerebecki closed this task as Resolved.Nov 6 2015, 10:34 AM
JanZerebecki assigned this task to thiemowmde.